Loading...
Searching...
No Matches
ARC_ConsoleView Struct Reference

## Data Fields

WINDOW * | window
ARC_Rect | bounds
ARC_Bool | echo
ARC_Vector * | elements

## Detailed Description

Definition at line 15 of file view.c.

## Field Documentation

## bounds

ARC_Rect ARC_ConsoleView::bounds

Definition at line 17 of file view.c.

Referenced by ARC_ConsoleView_GetBounds(), and ARC_ConsoleView_GetStringInput().

## echo

ARC_Bool ARC_ConsoleView::echo

Definition at line 18 of file view.c.

Referenced by ARC_ConsoleView_GetStringInput().

## elements

ARC_Vector* ARC_ConsoleView::elements

Definition at line 20 of file view.c.

Referenced by ARC_ConsoleView_AddElement(), ARC_ConsoleView_Destroy(), ARC_ConsoleView_GetElement(), ARC_ConsoleView_RemoveElement(), and ARC_ConsoleView_RenderElements().

## window

WINDOW* ARC_ConsoleView::window

Definition at line 16 of file view.c.

Referenced by ARC_ConsoleView_Clear(), ARC_ConsoleView_Destroy(), ARC_ConsoleView_GetChar(), ARC_ConsoleView_GetCharAt(), ARC_ConsoleView_GetConsoleKeyAt(), ARC_ConsoleView_GetCreateConsoleKeyAt(), ARC_ConsoleView_RenderCharAt(), ARC_ConsoleView_RenderCStringWithStrlenAt(), ARC_ConsoleView_RenderElements(), ARC_ConsoleView_RenderKeyAt(), ARC_ConsoleView_RenderStringAt(), ARC_ConsoleView_RenderUint32At(), ARC_ConsoleView_RenderWCharAt(), ARC_ConsoleView_SetAttribute(), and ARC_ConsoleView_SetBorder().

The documentation for this struct was generated from the following file:

- /home/herbglitch/programs/archeus/arc/packages/console/ncurses/view.c